Bug 816503 - [RFE] Ability to configure sound pass-through to appear as MIC as opposed to line-in
[RFE] Ability to configure sound pass-through to appear as MIC as opposed to ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.4
Assigned To: Daniel Veillard
Virtualization Bugs
: FutureFeature
Depends On: 801063
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 05:48 EDT by Gerd Hoffmann
Modified: 2013-02-21 02:12 EST (History)
13 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 801063
Environment:
Last Closed: 2013-02-21 02:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Marc-Andre Lureau 2012-05-04 10:52:28 EDT
I have started working on patches
Comment 3 Marc-Andre Lureau 2012-05-04 13:24:39 EDT
patches sent to ML:
https://www.redhat.com/archives/libvir-list/2012-May/msg00331.html
Comment 4 RHEL Product and Program Management 2012-07-10 04:24:21 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Marc-Andre Lureau 2012-07-10 07:32:20 EDT
(patches are in libvirt 0.9.13, reassigning to component owner)
Comment 6 RHEL Product and Program Management 2012-07-10 19:51:20 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 yuping zhang 2012-08-06 05:07:02 EDT
Tested this issue with:
libvirt-0.10.0-0rc0.el6.x86_64
kernel-2.6.32-287.el6.x86_64
qemu-kvm-0.12.1.2-2.302.el6.x86_64

#virsh edit win7-32
...
 <sound model='ich6'>
  <codec type='micro'/>
 </sound>
...

#virsh start win7-32
error: Failed to start domain win7-32
error: unsupported configuration: hda-micro not supported in this QEMU binary

According to bug https://bugzilla.redhat.com/show_bug.cgi?id=801063#c9, hda-micro is supported from qemu-kvm-0.12.1.2-2.295.el6.x86_64.

I don't know what's wrong here.

Hi Marc-Andre Lureau,
Any idea?
Comment 9 yuping zhang 2012-08-06 05:39:45 EDT
The status of bug 801063 is POST.I will test this issue after that bug is fixed.
Comment 10 yuping zhang 2012-08-27 05:33:01 EDT
Verified this issue with:
libvirt-0.10.0-0rc1.el6.x86_64
qemu-kvm-0.12.1.2-2.307.el6.x86_64
kernel-2.6.32-287.el6.x86_64

#virsh edit win7-32
...
    <sound model='ich6'>
+      <codec type='micro'/>
      <alias name='sound0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
...
#virsh start win7-32
#ps -ef | grep win7-32
...
-device hda-micro,id=sound0-codec0,bus=sound0.0,cad=0 
...

In guest,check "Start -> Control Panel -> Hardware and Sound -> Manage audio devices -> Recording tab".It is Mircophone.

As above,change the bug status to VERIFIED.
Comment 11 errata-xmlrpc 2013-02-21 02:12:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.